From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-macho/
Date: Thu, 23 Mar 2023 06:53:30 +0000 (UTC) [thread overview]
Message-ID: <1679554291.4621241994e49db9b8bcf6ee28371976907c731d.sam@gentoo> (raw)
commit: 4621241994e49db9b8bcf6ee28371976907c731d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 11:07:55 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 23 06:51:31 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46212419
dev-ruby/ruby-macho: add 3.0.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/ruby-macho/Manifest | 1 +
dev-ruby/ruby-macho/ruby-macho-3.0.0.ebuild | 23 +++++++++++++++++++++++
2 files changed, 24 insertions(+)
diff --git a/dev-ruby/ruby-macho/Manifest b/dev-ruby/ruby-macho/Manifest
index 46a51e20bfac..f9b65b3489b5 100644
--- a/dev-ruby/ruby-macho/Manifest
+++ b/dev-ruby/ruby-macho/Manifest
@@ -1 +1,2 @@
DIST ruby-macho-2.5.1.tar.gz 67901 BLAKE2B 4e3c04b86c664b44d022dc6ffe91e981a9f936152d85999cf8f11846eb51a6e38625e2316f09a1685ace546174800131cf899ebc8810e0f2c6d95950384005cb SHA512 4836af6b81a0452e19a3950e140c8131fded97a45853c2fdfe3955aff52e1619a01471a789c575e092fa62e5c9f09034b6b4d76e669f9c6475669e6b25d3c617
+DIST ruby-macho-3.0.0.tar.gz 70743 BLAKE2B 6dc48445382d879b6fa67fb8720dbf9643294adebb3424e811775f436d29d9b22b4a57e0443c9a6d08203fb3514267d4c2e4b8431cc9be4d54000e059acb49db SHA512 c718e6b22331511c18a6a51c1e88443121f6601dcc0e8e66a3ab60771b9a9e68cb33b83470bf60ff6af9ce696d50ceadee2c4dc348a0bf3fa2ff4d8aebcf3bd3
diff --git a/dev-ruby/ruby-macho/ruby-macho-3.0.0.ebuild b/dev-ruby/ruby-macho/ruby-macho-3.0.0.ebuild
new file mode 100644
index 000000000000..973f360e8aa4
--- /dev/null
+++ b/dev-ruby/ruby-macho/ruby-macho-3.0.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+RUBY_FAKEGEM_GEMSPEC="ruby-macho.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A library for viewing and manipulating Mach-O files in Ruby"
+HOMEPAGE="https://github.com/Homebrew/ruby-macho"
+SRC_URI="https://github.com/Homebrew/ruby-macho/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+all_ruby_prepare() {
+ # Avoid benchmarks with additional dependencies
+ rm -f test/bench.rb || die
+ sed -i -e '/test\/bench/ s:^:#:' Rakefile || die
+}
next reply other threads:[~2023-03-23 6:53 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-03-23 6:53 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-31 11:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ruby-macho/ Hans de Graaff
2024-06-29 5:16 Hans de Graaff
2024-03-15 6:08 Hans de Graaff
2024-03-04 18:33 Rick Farina
2023-12-27 12:26 Hans de Graaff
2023-06-29 15:54 Hans de Graaff
2022-04-24 7:06 Hans de Graaff
2022-04-24 7:06 Hans de Graaff
2021-06-08 5:08 Hans de Graaff
2020-11-18 5:32 Hans de Graaff
2020-10-13 4:14 Hans de Graaff
2020-07-26 9:15 Hans de Graaff
2020-07-26 9:15 Hans de Graaff
2019-02-21 6:09 Hans de Graaff
2019-01-24 6:33 Hans de Graaff
2018-11-23 8:17 Hans de Graaff
2018-11-21 18:21 Rick Farina
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1679554291.4621241994e49db9b8bcf6ee28371976907c731d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox